Page MenuHomePhabricator

Introduce and document a new `cluster.mailers` option for configuring multiple mailers
ClosedPublic

Authored by epriestley on Feb 6 2018, 2:06 PM.

Details

Summary

Depends on D19002. Ref T13053. Ref T12677. Adds a new option to allow configuration of multiple mailers.

Nothing actually uses this yet.

Test Plan

Tried to set it to various bad values, got reasonable error messages. Read documentation.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Mostly minor nitpicks, but the last one is a real bug.

src/docs/user/configuration/configuring_outbound_email.diviner
81

"option which"

132–133

Should we also add a note about needing to toggle that "actually send emails as expected" option?

246–248

It's not totally obvious that numerically higher priorities are preferred. Maybe explicitly add priority: 200 for the above example?

src/infrastructure/cluster/config/PhabricatorClusterMailersConfigType.php
51

"invalid specification" (or "invalid mailer specification").

81

"Supported"

94

Missing $key.

This revision now requires changes to proceed.Feb 7 2018, 7:41 PM
  • Fix typos/wordsmithing.
  • Make it more clear that priorities go from high to low, not "1st priority, 2nd priority".
This revision was not accepted when it landed; it landed in state Needs Review.Feb 8 2018, 2:08 PM
This revision was automatically updated to reflect the committed changes.